Bug 880511 - Need update the string "add_alias" to "remove_alias" in the Debug info of remove app alias
Summary: Need update the string "add_alias" to "remove_alias" in the Debug info of rem...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 08:28 UTC by Rony Gong 🔥
Modified: 2015-05-15 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:39:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rony Gong 🔥 2012-11-27 08:28:37 UTC
Description of problem:
when I want to remove the alias of app, bug I find there show 
D, [2012-11-27T15:22:37.714032 #29550] DEBUG -- : Running add_alias for qnodej

this is wrong, should update to Running remove_alias for qnodej

Version-Release number of selected component (if applicable):
devenv_2523

How reproducible:
always

Steps to Reproduce:
1.Create app then add alias
2.Remove alias with enable debug option
rhc alias remove qnodejs qnodejs-alias -d
  
Actual results:
[qgong@localhost dev]$ rhc alias remove qnodejs qnodejs-alias -d
Password: 

DEBUG: Connecting to https://ec2-23-20-43-10.compute-1.amazonaws.com/broker/rest/api
DEBUG: Client supports API versions 1.1, 1.2, 1.3
DEBUG: Server supports API versions 1.0, 1.1, 1.2, 1.3

........
D, [2012-11-27T15:22:37.714032 #29550] DEBUG -- : Running add_alias for qnodejs

D, [2012-11-27T15:22:37.714289 #29550] DEBUG -- : Request: #<RestClient::Request:0x7fb3f0d43b08 @verify_ssl=false, @ssl_ca_file=nil, @password=nil, @url="https://ec2-23-20-43-10.compute-1.amazonaws.com/broker/rest/domains/qgong14/applications/qnodejs/events", @method="POST", @raw_response=false, @processed_headers={"Content-Length"=>"38", "Authorization"=>"Basic cWdvbmdAcmVkaGF0LmNvbTo=", "Accept-Encoding"=>"gzip, 
...........
cWdvbmdAcmVkaGF0LmNvbTo=", "User-Agent"=>"rhc/1.2.1 (ruby 1.8.7; x86_64-linux)", :accept=>:json}, :open_timeout=>4}, @tf=nil>


RESULT:
Application event 'remove-alias' successful

Expected results:
Just update that line to 
D, [2012-11-27T15:22:37.714032 #29550] DEBUG -- : Running remove_alias for qnodejs

Additional info:

Comment 1 Nick Harvey 2013-01-07 21:53:04 UTC
Pull request submitted on github.

Comment 2 Nick Harvey 2013-01-07 21:56:03 UTC
https://github.com/openshift/rhc/pull/269

Comment 3 Rony Gong 🔥 2013-02-04 03:15:25 UTC
Verified on devenv_2765
[qgong@localhost dev]$ rhc alias remove qsruby19 tttt -d -px
DEBUG: Connecting to https://ec2-50-19-52-91.compute-1.amazonaws.com/broker/rest/api
DEBUG: Getting all domains
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG: SSL Verification failed -- Using self signed cert
DEBUG: Getting all domains
DEBUG: Finding domain qgong19
DEBUG: Getting all domains
DEBUG: Finding application :name => qsruby19, :framework => 
DEBUG: Getting all applications for domain qgong19
DEBUG: Running remove_alias for qsruby19
RESULT:
Application qsruby19 has removed alias


Note You need to log in before you can comment on or make changes to this bug.